<template>
  <a-card :bordered='false'>
    <a-tabs defaultActiveKey='1'>
      <a-tab-pane tab='设备时长统计' key='1'>
        <equ-use-stat :user-list='userList'></equ-use-stat>
      </a-tab-pane>

      <a-tab-pane tab='人员使用统计' key='2'>
        <user-use-stat :user-list='userList'>
        </user-use-stat>
      </a-tab-pane>

      <a-tab-pane tab='点检统计' key='3'>
        <spot-stat></spot-stat>
      </a-tab-pane>

      <a-tab-pane tab='维修统计' key='4'>
        <repair-stat></repair-stat>
      </a-tab-pane>
    </a-tabs>
  </a-card>
</template>

<script>
import LimsUsageRecordList from '@views/lims/LimsUsageRecordList'
import EquUseStat from '@views/lims/stat/EquUseStat'
import UserUseStat from '@views/lims/stat/UserUseStat'
import SpotStat from '@views/lims/stat/SpotStat'
import RepairStat from '@views/lims/stat/RepairStat'
import { getAction } from '@api/manage'

export default {
  name: 'limsStatPage',
  components: { RepairStat, SpotStat, UserUseStat, EquUseStat, LimsUsageRecordList },
  created() {
    this.queryUserList()
  },
  data() {
    return {
      userList: [],
      url: {
        user: '/sys/user/list'
      }
    }
  },
  methods: {
    queryUserList() {
      let params = {}
      params.pageNo = 1
      params.pageSize = 1000
      params.mini = 1   //只查询小程序人员
      getAction(this.url.user, params).then((res) => {
        console.info(res)
        if (res.success) {
          this.userList = res.result.records

        }
      })
    }
  }
}
</script>

<style scoped>

</style>